Skip to main content
DELETE
/
v2
/
workflows
/
runs
/
{workflowRunId}
curl -XDELETE https://qstash.upstash.io/v2/workflows/runs/wfr_TzazoUCuZmFGp2u9cdy5K \
  -H "Authorization: Bearer <token>"
OK

Documentation Index

Fetch the complete documentation index at: https://upstash-cloud-4245.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Cancelling a workflow run will remove it from QStash and stop it from being delivered in the future.

Request

workflowRunId
string
required
The id of the message to cancel.

Response

This endpoint returns
  • 200 OK when successful.
  • 404 NOT FOUND when a workflow run is not found with the given id.
  • 500 INTERNAL SERVER when an unexpected error occurs.
curl -XDELETE https://qstash.upstash.io/v2/workflows/runs/wfr_TzazoUCuZmFGp2u9cdy5K \
  -H "Authorization: Bearer <token>"
OK